# Class CIM_DatabaseParameter
extends CIM_ScopedSettingData

The CIM_DatabaseParameter class extends from CIM_ScopedSettingData. This abstract class specifies the database and service configuration parameters that are common across database models and vendor implementations. The SNMP RDBMS MIB defines database and service parameters as name and value pair combinations rather than as specific named properties of the class. In order to maintain a consistent mapping between SNMP and CIM, a CIM_SNMPDatabaseParameter class extends from the abstract CIM_DatabaseParameter class, which defines parameters as a name value pair. In a future release of the database MOF, the working group can choose to create a new class that extends from CIM_DatabaseParameter, which specifies properties for common configuration parameters. The parameter context for a specific database or database service is established by collecting the SettingData using the CIM_ElementProfile association. The SNMP RDBMS MIB defines generic tables that contain rows of named database or service configuration entries. A parameter entry contains a parameter name, description, and value. See the description of the rdbmsDbParamTable or the rdbmsSrvParamTable for more information on the SNMP definitions.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SettingData
|
+--CIM_ScopedSettingData
|
+--CIM_DatabaseParameter

## Direct Known Subclasses

CIM_SNMPDatabaseParameter

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Abstract | boolean | true

Description

string

The CIM_DatabaseParameter class extends from CIM_ScopedSettingData. This abstract class specifies the database and service configuration parameters that are common across database models and vendor implementations. The SNMP RDBMS MIB defines database and service parameters as name and value pair combinations rather than as specific named properties of the class. In order to maintain a consistent mapping between SNMP and CIM, a CIM_SNMPDatabaseParameter class extends from the abstract CIM_DatabaseParameter class, which defines parameters as a name value pair. In a future release of the database MOF, the working group can choose to create a new class that extends from CIM_DatabaseParameter, which specifies properties for common configuration parameters. The parameter context for a specific database or database service is established by collecting the SettingData using the CIM_ElementProfile association. The SNMP RDBMS MIB defines generic tables that contain rows of named database or service configuration entries. A parameter entry contains a parameter name, description, and value. See the description of the rdbmsDbParamTable or the rdbmsSrvParamTable for more information on the SNMP definitions.

UMLPackagePath | string | CIM::Database::System
Version | string | 2.7.0

## Class Properties

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ChangeableType | uint16 | CIM_SettingData
ConfigurationName | string | CIM_SettingData
Description | string | CIM_ManagedElement
ElementName | string | CIM_SettingData
InstanceID | string | CIM_SettingData

## Class Methods